//
//Copyright 2002-2011 Aspose Pty Ltd. All Rights Reserved.
//
//This file is part of Aspose.Pdf for Java. The source code in this file
//is only intended as a supplement to the documentation, and is provided
//"as is", without warranty of any kind, either expressed or implied.
//

//==========================================================================================================//
//================== This demo explains the steps to create simple PDF using XML file ======================//
//==========================================================================================================//

package samples.demos.xml;

import java.io.File;
import java.io.FileInputStream;
import javax.xml.parsers.ParserConfigurationException;
import org.xml.sax.SAXException;

import aspose.pdf.*;

/**
* This example domestrates how to use XML template in pdf.
*/
public class XMLExample {
	public static void main(String args[]){

		//if you got a license, uncomment following lines
		/*
		// create a license object
		aspose.pdf.License pdf_lic = new aspose.pdf.License();
       	try {
		// specify the path for license file
			pdf_lic.setLicense(new FileInputStream(("D:/Aspose.Total.Product.Family.lic")));
       	} catch (Exception e) {
       		System.out.println(e.getMessage());
       	}*/
          
        try{
			//Instantiate Pdf instance by calling its empty constructor
			Pdf pdf = new Pdf();
			// bind the source XML file with Pdf object
			pdf.bindXML("examples/resources/SalesByCategory.xml", null);
 			//Save the resultant PDF
			pdf.save("D:\\pdftest\\Resultant.pdf");

		}catch (Exception excep)
		{
			System.out.println(excep.getMessage());
		}
    }
}
